#version 100

precision highp float;
//precision mediump float;

uniform sampler2D uSampler;
uniform vec2 flameFlags;

varying vec2 vTextureCoord;

void main(void)
{
	vec4 finalColor = texture2D(uSampler, vec2(vTextureCoord.s, vTextureCoord.t));
	if(finalColor[3] == 0.0 || finalColor[1] != 0.0)
		discard;
	float f = flameFlags[0];
	if(flameFlags[1] == 1.0)
	{
		finalColor[0] = 1.0;
		finalColor[1] = 0.5;
	}
	finalColor[3] *= f;
	gl_FragColor = finalColor;
}
