#version 100

precision highp float;
//precision mediump float;

attribute vec3 aVertexPosition;

uniform mat4 modelMatrix;
uniform mat4 viewMatrix;
uniform mat4 projectionMatrix;


void main(void) {
	mat4 mv = viewMatrix * modelMatrix;
	vec4 vertexPosition = vec4(aVertexPosition,1.0);
	gl_Position = projectionMatrix * mv * vertexPosition;
}
