#version 100

precision highp float;
//precision mediump float;

uniform vec4 color;

varying float depth;
varying float spd;

void main(void)
{
	vec4 finalColor = color;
	float f = finalColor[3] * clamp(1.0-depth,0.0,1.0);
	gl_FragColor = mix(vec4(0.2098,0.6843,0.7941,f),vec4(255.0/255.0,132.0/255.0,0.0/255.0,f),f*3.0-0.8);
	gl_FragColor[3] *= spd;
}
